## fsm-el 0.2.1

=== debian/changelog ===
fsm-el (0.2.1-4) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:13:30 -0400

fsm-el (0.2.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:04:06 -0300

fsm-el (0.2.1-2) unstable; urgency=medium

  * Rebuild with dh-elpa 1.13 to fix byte-compilation
    with unversioned Emacs (Closes: #900720)
  * debian/control: S-V bump 3.9.8 -> 4.1.4 (no changes needed)
  * debian/control: Vcs-* fields updated pointing to salsa
  * debian/control: Maintainer field updated
  * debian/rules: drop --parallel parameter
  * debian/: debhelper bump 10 -> 11

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 14 Jun 2018 14:56:14 +0200

fsm-el (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #848127)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Dec 2016 21:44:53 +0100
